GDB (xrefs)

Macros | Functions
/tmp/gdb-8.1/gdb/mips64-obsd-nat.c File Reference
`#include "defs.h"`
`#include "inferior.h"`
`#include "regcache.h"`
`#include "target.h"`
`#include <sys/types.h>`
`#include <sys/ptrace.h>`
`#include <machine/reg.h>`
`#include "mips-tdep.h"`
`#include "inf-ptrace.h"`
`#include "obsd-nat.h"`

Go to the source code of this file.

## Macros
#define | MIPS_PC_REGNUM MIPS_EMBED_PC_REGNUM
#define | MIPS_FP0_REGNUM MIPS_EMBED_FP0_REGNUM
#define | MIPS_FSR_REGNUM MIPS_EMBED_FP0_REGNUM + 32

## Functions
static void | mips64obsd_supply_gregset (struct regcache *regcache, const void *gregs)
static void | mips64obsd_collect_gregset (const struct regcache *regcache, void *gregs, int regnum)
static void | mips64obsd_fetch_inferior_registers (struct target_ops *ops, struct regcache *regcache, int regnum)
static void | mips64obsd_store_inferior_registers (struct target_ops *ops, struct regcache *regcache, int regnum)
void | _initialize_mips64obsd_nat (void)

## Macro Definition Documentation

## ◆ MIPS_FP0_REGNUM

#define MIPS_FP0_REGNUM MIPS_EMBED_FP0_REGNUM

Definition at line 35 of file mips64-obsd-nat.c.

Referenced by mips64obsd_collect_gregset(), and mips64obsd_supply_gregset().

## ◆ MIPS_FSR_REGNUM

#define MIPS_FSR_REGNUM MIPS_EMBED_FP0_REGNUM + 32

Definition at line 36 of file mips64-obsd-nat.c.

Referenced by mips64obsd_collect_gregset(), and mips64obsd_supply_gregset().

## ◆ MIPS_PC_REGNUM

#define MIPS_PC_REGNUM MIPS_EMBED_PC_REGNUM

Definition at line 34 of file mips64-obsd-nat.c.

Referenced by mips64obsd_collect_gregset(), and mips64obsd_supply_gregset().

## Function Documentation

## ◆ _initialize_mips64obsd_nat()

void _initialize_mips64obsd_nat | ( | void |  | ) |

Definition at line 113 of file mips64-obsd-nat.c.

References inf_ptrace_target(), mips64obsd_fetch_inferior_registers(), mips64obsd_store_inferior_registers(), obsd_add_target(), target_ops::to_fetch_registers, and target_ops::to_store_registers.

## ◆ mips64obsd_collect_gregset()

static void mips64obsd_collect_gregset | ( | const struct regcache * | regcache,
|  | void * | gregs,
|  | int | regnum
| ) |  |
| static

Definition at line 57 of file mips64-obsd-nat.c.

References MIPS_FP0_REGNUM, MIPS_FSR_REGNUM, MIPS_PC_REGNUM, MIPS_ZERO_REGNUM, regcache_raw_collect(), and regnum.

Referenced by mips64obsd_store_inferior_registers().

## ◆ mips64obsd_fetch_inferior_registers()

static void mips64obsd_fetch_inferior_registers | ( | struct target_ops * | ops,
|  | struct regcache * | regcache,
|  | int | regnum
| ) |  |
| static

Definition at line 81 of file mips64-obsd-nat.c.

References _, mips64obsd_supply_gregset(), perror_with_name(), pid, ptid_get_pid(), ptrace(), PTRACE_TYPE_ARG3, and regcache_get_ptid().

Referenced by _initialize_mips64obsd_nat().

## ◆ mips64obsd_store_inferior_registers()

static void mips64obsd_store_inferior_registers | ( | struct target_ops * | ops,
|  | struct regcache * | regcache,
|  | int | regnum
| ) |  |
| static

Definition at line 97 of file mips64-obsd-nat.c.

References _, mips64obsd_collect_gregset(), perror_with_name(), pid, ptid_get_pid(), ptrace(), PTRACE_TYPE_ARG3, regcache_get_ptid(), and regnum.

Referenced by _initialize_mips64obsd_nat().

## ◆ mips64obsd_supply_gregset()

static void mips64obsd_supply_gregset | ( | struct regcache * | regcache,
|  | const void * | gregs
| ) |  |
| static

Definition at line 41 of file mips64-obsd-nat.c.

References MIPS_FP0_REGNUM, MIPS_FSR_REGNUM, MIPS_PC_REGNUM, MIPS_ZERO_REGNUM, regcache_raw_supply(), and regnum.

Referenced by mips64obsd_fetch_inferior_registers().